cdac.medinfo.enums

## Enum EnumTypeCode

- java.lang.Object
- - java.lang.Enum<EnumTypeCode>
  - - cdac.medinfo.enums.EnumTypeCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumTypeCode>

      public enum EnumTypeCode
      extends java.lang.Enum<EnumTypeCode>

  This class specify type code used in clinical document

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COV` This constant specifies value representation of Type Code coverage
    `CSM` This constant specifies value representation of Type Code consumable
    `DEV` This constant specifies value representation of Type Code product or device
    `IND` This constant specifies value representation of Type Code indirect participant
    `LOC` This constant specifies value representation of Type Code location
    `PRCN` This constant specifies value representation of Type Code precondition
    `VRF` This constant specifies value representation of Type Code verifier

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` This function returns the String value of this enum.
    `static EnumTypeCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumTypeCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOC

          public static final EnumTypeCode LOC

      This constant specifies value representation of Type Code location

    - #### COV

          public static final EnumTypeCode COV

      This constant specifies value representation of Type Code coverage

    - #### PRCN

          public static final EnumTypeCode PRCN

      This constant specifies value representation of Type Code precondition

    - #### CSM

          public static final EnumTypeCode CSM

      This constant specifies value representation of Type Code consumable

    - #### VRF

          public static final EnumTypeCode VRF

      This constant specifies value representation of Type Code verifier

    - #### IND

          public static final EnumTypeCode IND

      This constant specifies value representation of Type Code indirect participant

    - #### DEV

          public static final EnumTypeCode DEV

      This constant specifies value representation of Type Code product or device

  - ### Method Detail

    - #### values

          public static EnumTypeCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumTypeCode c : EnumTypeCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumTypeCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      This function returns the String value of this enum.
      Returns:
        - returns string value of Code Value.